<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v2.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

/**
 * Renders a list element
 *
 * @package 	Joomla.Framework
 * @subpackage		Parameter
 * @since		1.5
 */

class JFormFieldZenoptions extends JFormField
{
	
	protected  $type = 'Zenoptions';

	 protected function getInput()
	{
		
		$zgfEnabled = JPluginHelper::isEnabled ( 'system', 'zengridframework' )	;
		if ($zgfEnabled) {
			jimport( 'joomla.filesystem.folder' );
			jimport( 'joomla.filesystem.file' );
		
			$class = ( $this->element['class'] ? 'class="'.$this->element['class'].'"' : 'class="inputbox"');
			$display= $this->element[ 'display'] ? $this->element['display']: "";
		
			$values = array('gridcount' => array('0' => 'none','one' => '1','two' => '2', 'three' => '3', 'four' => '4', 'five' => '5', 'six' => '6', 'seven' => '7', 'eight' => '8', 'nine' => '9', 'ten' => '10', 'eleven' => '11', 'twelve' => '12'),
						'fonts' => array(
						'------------------- Standard ---------------------' => '--------------------- Standard ---------------------',
						'cambria' => 'Cambria, Georgia, Times, Times New Roman, serif',
						'caslon' => 'Adobe Caslon Pro, Georgia, Garamond, Times, serif',
						'courier' => 'Courier new”, Courier, “Andale Mono',
						'garamond' => 'Garamond, ‘Times New Roman’, Times, serif',
						'georgia' => 'Georgia, Times, ‘Times New Roman’, serif', 
						'gillsans' => 'GillSans, Calibri, Trebuchet, arial sans-serif', 
						'helvetica' => 'Helvetica Neue, Helvetica, Arial, sans-serif',
						'lucida' => 'Lucida Grande, Geneva, Helvetica, sans-serif', 
						'palatino' => 'Palatino, ‘Times New Roman’, serif', 
						'tahoma' => 'Tahoma, Verdana, Geneva',
						'trebuchet' => 'Trebuchet ms, Tahoma, Arial, sans-serif',
						'EBGaramond' => 'EB Garamond - Google Font Replacement',
						'------------------- Serif ---------------------' => '--------------------- Serif ---------------------',
						'Adamina' => 'Adamina',
						'Alegreya' => 'Alegreya',
						'Alegreya SC' => 'Alegreya SC',
						'Alice' => 'Alice',
						'Alike' => 'Alike',
						'AlikeAngular' => 'Alike Angular',
						'Almendra' => 'Almendra',
						'Almendra SC' => 'Almendra SC',
						'Amethysta' => 'Amethysta',
						'Andada' => 'Andada',
						'Arapey' => 'Arapey',
						'Artifika' => 'Artifika',
						'Arvo' => 'Arvo',
						'Balthazar' => 'Balthazar',
						'Belgrano' => 'Belgrano',
						'Bentham' => 'Bentham',
						'Bevan' => 'Bevan',
						'Bitter' => 'Bitter',
						'Brawler' => 'Brawler',
						'BreeSerif' => 'Bree Serif',
						'Buenard' => 'Buenard',
						'Cambo' => 'Cambo',
						'Cardo' => 'Cardo',
						'Caudex' => 'Caudex',
						'Copse' => 'Copse',
						'Coustard' => 'Coustard',
						'CreteRound' => 'Crete Round',
						'CrimsonText' => 'Crimson Text',
						'DroidSerif' => 'Droid Serif',
						'EBGaramond' => 'EB Garamond',
						'Enriqueta' => 'Enriqueta',
						'Esteban' => 'Esteban',
						'Fanwood Text' => 'Fanwood Text',
						'FjordOne' => 'Fjord One',
						'GentiumBasic' => 'Gentium Basic',
						'GentiumBook Basic' => 'Gentium Book Basic',
						'Glegoo' => 'Glegoo',
						'GoudyBookletter1911' => 'Goudy Bookletter 1911',
						'Habibi' => 'Habibi',
						'Holtwood One SC' => 'Holtwood One SC',
						'IMFellDWPica' => 'IM Fell DW Pica',
						'IMFellDWPicaSC' => 'IM Fell DW Pica SC',
						'IMFellDoublePica' => 'IM Fell Double Pica',
						'IMFellDoublePicaSC' => 'IM Fell Double Pica SC',
						'IMFellEnglish' => 'IM Fell English',
						'IMFellEnglishSC' => 'IM Fell English SC',
						'IMFellFrenchCanon' => 'IM Fell French Canon',
						'IMFellFrenchCanon SC' => 'IM Fell French Canon SC',
						'IMFellGreatPrimer' => 'IM Fell Great Primer',
						'IMFellGreatPrimer SC' => 'IM Fell Great Primer SC',
						'Inika' => 'Inika',
						'JosefinSlab' => 'Josefin Slab',
						'Judson' => 'Judson',
						'Junge' => 'Junge',
						'Kameron' => 'Kameron',
						'KottaOne' => 'Kotta One',
						'Kreon' => 'Kreon',
						'LindenHill' => 'Linden Hill',
						'Lora' => 'Lora',
						'Lusitana' => 'Lusitana',
						'Lustria' => 'Lustria',
						'MarkoOne' => 'Marko One',
						'Mate' => 'Mate',
						'MateSC' => 'Mate SC',
						'Merriweather' => 'Merriweather',
						'Montaga' => 'Montaga',
						'Neuton' => 'Neuton',
						'NoticiaText' => 'Noticia Text',
						'OldStandardTT' => 'Old Standard TT',
						'Ovo' => 'Ovo',
						'PTSerif' => 'PT Serif',
						'PTSerifCaption' => 'PT Serif Caption',
						'Petrona' => 'Petrona',
						'PlayfairDisplay' => 'Playfair Display',
						'Podkova' => 'Podkova',
						'Poly' => 'Poly',
						'Prata' => 'Prata',
						'Prociono' => 'Prociono',
						'Quattrocento' => 'Quattrocento',
						'Radley' => 'Radley',
						'Rokkitt' => 'Rokkitt',
						'SortsMillGoudy' => 'Sorts Mill Goudy',
						'Stoke' => 'Stoke',
						'Tienne' => 'Tienne',
						'Tinos' => 'Tinos',
						'Trykker' => 'Trykker',
						'Ultra' => 'Ultra',
						'Unna' => 'Unna',
						'Vidaloka' => 'Vidaloka',
						'Volkhov' => 'Volkhov',
						'Vollkorn' => 'Vollkorn',
						'------------------- Sans Serif -------------------' => '------------------- Sans Serif -------------------',
						'Abel' => 'Abel',
						'Aclonica' => 'Aclonica',
						'Acme' => 'Acme',
						'Actor' => 'Actor',
						'Aldrich' => 'Aldrich',
						'Allerta' => 'Allerta',
						'AllertaStencil' => 'Allerta Stencil',
						'Amaranth' => 'Amaranth',
						'Andika' => 'Andika',
						'AnonymousPro' => 'Anonymous Pro',
						'Antic' => 'Antic',
						'Anton' => 'Anton',
						'Arimo' => 'Arimo',
						'Armata' => 'Armata',
						'Asap' => 'Asap',
						'Asul' => 'Asul',
						'Basic' => 'Basic',
						'Cabin' => 'Cabin',
						'CabinCondensed' => 'Cabin Condensed',
						'Cagliostro' => 'Cagliostro',
						'Candal' => 'Candal',
						'Cantarell' => 'Cantarell',
						'Carme' => 'Carme',
						'Chivo' => 'Chivo',
						'CodaCaption' => 'Coda Caption',
						'Convergence' => 'Convergence',
						'Cousine' => 'Cousine',
						'Cuprum' => 'Cuprum',
						'DaysOne' => 'Days One',
						'DidactGothic' => 'Didact Gothic',
						'Dorsa' => 'Dorsa',
						'DroidSans' => 'Droid Sans',
						'DroidSansMono' => 'Droid Sans Mono',
						'DuruSans' => 'Duru Sans',
						'Electrolize' => 'Electrolize', 
						'Federo' => 'Federo',
						'FrancoisOne' => 'Francois One', 
						'Fresca' => 'Fresca',
						'Galdeano' => 'Galdeano',
						'Geo' => 'Geo',
						'Gudea' => 'Gudea',
						'HammersmithOne' => 'Hammersmith One',
						'Homenaje' => 'Homenaje',
						'Inconsolata' => 'Inconsolata',
						'Inder' => 'Inder',
						'IstokWeb' => 'Istok Web',
						'JockeyOne' => 'Jockey One',
						'JosefinSans' => 'Josefin Sans',
						'Jura' => 'Jura',
						'Lato' => 'Lato',
						'Lekton' => 'Lekton',
						'Magra' => 'Magra',
						'Mako' => 'Mako',
						'Marmelad' => 'Marmelad',
						'Marvel' => 'Marvel',
						'MavenPro' => 'Maven Pro',
						'Metrophobic' => 'Metrophobic',
						'Michroma' => 'Michroma',
						'Molengo' => 'Molengo',
						'Montserrat' => 'Montserrat', 
						'Muli' => 'Muli',
						'NewsCycle' => 'News Cycle',
						'Nobile' => 'Nobile',
						'Numans' => 'Numans',
						'Nunito' => 'Nunito',
						'OpenSans' => 'Open Sans',
						'OpenSansCondensed' => 'Open Sans Condensed',
						'Orbitron' => 'Orbitron',
						'Oswald' => 'Oswald',
						'PTSans' => 'PT Sans',
						'PTSansCaption' => 'PT Sans Caption',
						'PTSansNarrow' => 'PT Sans Narrow',
						'PaytoneOne' => 'Paytone One',
						'Philosopher' => 'Philosopher',
						'Play' => 'Play',
						'Puritan' => 'Puritan',
						'QuattrocentoSans' => 'Quattrocento Sans',
						'Questrial' => 'Questrial',
						'Quicksand' => 'Quicksand',
						'Rationale' => 'Rationale',
						'Rosario' => 'Rosario',
						'Ruda' => 'Ruda',
						'Ruluko' => 'Ruluko',
						'Shanti' => 'Shanti',
						'SigmarOne' => 'Sigmar One',
						'Signika' => 'Signika',
						'SignikaNegative' => 'Signika Negative',
						'SixCaps' => 'Six Caps',
						'Snippet' => 'Snippet',
						'Spinnaker' => 'Spinnaker',
						'Syncopate' => 'Syncopate',
						'Telex' => 'Telex',
						'TenorSans' => 'Tenor Sans',
						'TerminalDosis' => 'Terminal Dosis',
						'Ubuntu' => 'Ubuntu',
						'UbuntuCondensed' => 'Ubuntu Condensed',
						'UbuntuMono' => 'Ubuntu Mono',
						'Varela' => 'Varela',
						'VarelaRound' => 'Varela Round',
						'Viga' => 'Viga',
						'Voltaire' => 'Voltaire',
						'WireOne' => 'Wire One', 
						'YanoneKaffeesatz' => 'Yanone Kaffeesatz',
						
						
						'------------------- Handwriting -------------------' => '------------------- Handwriting -------------------',
						'AguafinaScript'=>'Aguafina Script',
						'Aladin'=>'Aladin',
						'AlexBrush'=>'Alex Brush',
						'AmaticSC'=>'Amatic SC',
						'AnnieUseYourTelescope'=>'Annie Use Your Telescope',
						'ArchitectsDaughter'=>'Architects Daughter',
						'Arizonia'=>'Arizonia',
						'BadScript'=>'Bad Script',
						'Bilbo'=>'Bilbo',
						'BilboSwashCaps'=>'Bilbo Swash Caps',
						'Bonbon'=>'Bonbon',
						'Calligraffitti'=>'Calligraffitti',
						'Cedarville Cursive'=>'Cedarville Cursive',
						'ComingSoon'=>'Coming Soon',
						'Condiment'=>'Condiment',
						'Cookie'=>'Cookie',
						'CoveredByYourGrace'=>'Covered By Your Grace',
						'CraftyGirls'=>'Crafty Girls',
						'Damion'=>'Damion',
						'DancingScript'=>'Dancing Script',
						'DawningofaNewDay'=>'Dawning of a New Day',
						'Delius'=>'Delius',
						'DeliusSwashCaps'=>'Delius Swash Caps',
						'DeliusUnicase'=>'Delius Unicase',
						'Devonshire'=>'Devonshire',
						'DrSugiyama'=>'Dr Sugiyama',
						'Engagement'=>'Engagement',
						'Fondamento'=>'Fondamento',
						'GiveYouGlory'=>'Give You Glory',
						'GloriaHallelujah'=>'Gloria Hallelujah',
						'GochiHand'=>'Gochi Hand',
						'Handlee'=>'Handlee',
						'HerrVonMuellerhoff'=>'Herr Von Muellerhoff',
						'HomemadeApple'=>'Homemade Apple',
						'IndieFlower'=>'Indie Flower',
						'Italianno'=>'Italianno',
						'Julee'=>'Julee',
						'JustAnotherHand'=>'Just Another Hand',
						'JustMeAgainDownHere'=>'Just Me Again Down Here',
						'Kristi'=>'Kristi',
						'LaBelleAurore'=>'La Belle Aurore',
						'LeagueScript'=>'League Script',
						'LeckerliOne'=>'Leckerli One',
						'LovedbytheKing'=>'Loved by the King',
						'MarckScript'=>'Marck Script',
						'Meddon'=>'Meddon',
						'MeriendaOne'=>'Merienda One',
						'MissFajardose'=>'Miss Fajardose',
						'MonsieurLaDoulaise'=>'Monsieur La Doulaise',
						'Montez'=>'Montez',
						'MrBedfort'=>'Mr Bedfort',
						'MrDafoe'=>'Mr Dafoe',
						'MrDeHaviland'=>'Mr De Haviland',
						'MrsSaintDelafield'=>'Mrs Saint Delafield',
						'MrsSheppards'=>'Mrs Sheppards',
						'Neucha'=>'Neucha',
						'Niconne'=>'Niconne',
						'NothingYouCouldDo'=>'Nothing You Could Do',
						'OvertheRainbow'=>'Over the Rainbow',
						'Pacifico'=>'Pacifico',
						'PatrickHand'=>'Patrick Hand',
						'PatuaOne'=>'Patua One',
						'PermanentMarker'=>'Permanent Marker',
						'PinyonScript'=>'Pinyon Script',
						'Qwigley'=>'Qwigley',
						'Rancho'=>'Rancho',
						'Redressed'=>'Redressed',
						'ReenieBeanie'=>'Reenie Beanie',
						'Rochester'=>'Rochester',
						'RockSalt'=>'Rock Salt',
						'RougeScript'=>'Rouge Script',
						'RugeBoogie'=>'Ruge Boogie',
						'Ruthie'=>'Ruthie',
						'Satisfy'=>'Satisfy',
						'Schoolbell'=>'Schoolbell',
						'ShadowsIntoLight'=>'Shadows Into Light',
						'ShortStack'=>'Short Stack',
						'Sofia'=>'Sofia',
						'SueEllenFrancisco'=>'Sue Ellen Francisco',
						'Sunshiney'=>'Sunshiney',
						'SwankyandMooMoo'=>'Swanky and Moo Moo',
						'Tangerine'=>'Tangerine',
						'TheGirlNextDoor'=>'The Girl Next Door',
						'Vibur'=>'Vibur',
						'WaitingfortheSunrise'=>'Waiting for the Sunrise',
						'WalterTurncoat'=>'Walter Turncoat',
						'Yellowtail'=>'Yellowtail',
						'Yesteryear'=>'Yesteryear',
						'Zeyada'=>'Zeyada',


						'------------------- Display -------------------' => '------------------- Display -------------------',
						'AbrilFatface'=>'Abril Fatface',
						'AlfaSlabOne'=>'Alfa Slab One',
						'Allan'=>'Allan',
						'Arbutus'=>'Arbutus',
						'Asset'=>'Asset',
						'Astloch'=>'Astloch',
						'AtomicAge'=>'Atomic Age',
						'Aubrey'=>'Aubrey',
						'Bangers'=>'Bangers',
						'Baumans'=>'Baumans',
						'BigshotOne'=>'Bigshot One',
						'BlackOpsOne'=>'Black Ops One',
						'Boogaloo'=>'Boogaloo',
						'BowlbyOne'=>'Bowlby One',
						'BowlbyOneSC'=>'Bowlby One SC',
						'BubblegumSans'=>'Bubblegum Sans',
						'Buda'=>'Buda',
						'Butcherman'=>'Butcherman',
						'CabinSketch'=>'Cabin Sketch',
						'CaesarDressing'=>'Caesar Dressing',
						'CarterOne'=>'Carter One',
						'CevicheOne'=>'Ceviche One',
						'ChangaOne'=>'Changa One',
						'Chango'=>'Chango',
						'ChelseaMarket'=>'Chelsea Market',
						'CherryCreamSoda'=>'Cherry Cream Soda',
						'Chewy'=>'Chewy',
						'Chicle'=>'Chicle',
						'Coda'=>'Coda',
						'Comfortaa'=>'Comfortaa',
						'ConcertOne'=>'Concert One',
						'ContrailOne'=>'Contrail One',
						'Corben'=>'Corben',
						'Creepster'=>'Creepster',
						'Crushed'=>'Crushed',
						'Diplomata'=>'Diplomata',
						'DiplomataSC'=>'Diplomata SC',
						'Dynalight'=>'Dynalight',
						'Eater'=>'Eater',
						'EmblemaOne'=>'Emblema One',
						'ExpletusSans'=>'Expletus Sans',
						'Fascinate'=>'Fascinate',
						'FascinateInline'=>'Fascinate Inline',
						'Federant'=>'Federant',
						'Flamenco'=>'Flamenco',
						'Flavors'=>'Flavors',
						'FontdinerSwanky'=>'Fontdiner Swanky',
						'Forum'=>'Forum',
						'Fredericka the Great'=>'Fredericka the Great',
						'Frijole'=>'Frijole',
						'FugazOne'=>'Fugaz One',
						'Geostar'=>'Geostar',
						'GeostarFill'=>'Geostar Fill',
						'GermaniaOne'=>'Germania One',
						'GoblinOne'=>'Goblin One',
						'GravitasOne'=>'Gravitas One',
						'Gruppo'=>'Gruppo',
						'Iceberg'=>'Iceberg',
						'Iceland'=>'Iceland',
						'IrishGrover'=>'Irish Grover',
						'JimNightshade'=>'Jim Nightshade',
						'KaushanScript'=>'Kaushan Script',
						'KellySlab'=>'Kelly Slab',
						'Kenia'=>'Kenia',
						'Knewave'=>'Knewave',
						'Kranky'=>'Kranky',
						'Lancelot'=>'Lancelot',
						'Lemon'=>'Lemon',
						'LilitaOne'=>'Lilita One',
						'Limelight'=>'Limelight',
						'Lobster'=>'Lobster',
						'LobsterTwo'=>'Lobster Two',
						'LoveYaLikeASister'=>'Love Ya Like A Sister',
						'LuckiestGuy'=>'Luckiest Guy',
						'Macondo'=>'Macondo',
						'MacondoSwashCaps'=>'Macondo Swash Caps',
						'MaidenOrange'=>'Maiden Orange',
						'MedievalSharp'=>'MedievalSharp',
						'MedulaOne'=>'Medula One',
						'Megrim'=>'Megrim',
						'Metamorphous'=>'Metamorphous',
						'Miltonian'=>'Miltonian',
						'MiltonianTattoo'=>'Miltonian Tattoo',
						'Miniver'=>'Miniver',
						'ModernAntiqua'=>'Modern Antiqua',
						'Monofett'=>'Monofett',
						'Monoton'=>'Monoton',
						'MountainsofChristmas'=>'Mountains of Christmas',
						'NixieOne'=>'Nixie One',
						'Nosifer'=>'Nosifer',
						'NovaCut'=>'Nova Cut',
						'NovaFlat'=>'Nova Flat',
						'NovaMono'=>'Nova Mono',
						'NovaOval'=>'Nova Oval',
						'NovaRound'=>'Nova Round',
						'NovaScript'=>'Nova Script',
						'NovaSlim'=>'Nova Slim',
						'NovaSquare'=>'Nova Square',
						'Oldenburg'=>'Oldenburg',
						'OriginalSurfer'=>'Original Surfer',
						'Overlock'=>'Overlock',
						'OverlockSC'=>'Overlock SC',
						'Parisienne'=>'Parisienne',
						'PasseroOne'=>'Passero One',
						'PassionOne'=>'Passion One',
						'Piedra'=>'Piedra',
						'Plaster'=>'Plaster',
						'Playball'=>'Playball',
						'PollerOne'=>'Poller One',
						'Pompiere'=>'Pompiere',
						'PortLligatSans'=>'Port Lligat Sans',
						'PortLligatSlab'=>'Port Lligat Slab',
						'Quantico'=>'Quantico',
						'Raleway'=>'Raleway',
						'RammettoOne'=>'Rammetto One',
						'Ribeye'=>'Ribeye',
						'RibeyeMarrow'=>'Ribeye Marrow',
						'Righteous'=>'Righteous',
						'RopaSans'=>'Ropa Sans',
						'RuslanDisplay'=>'Ruslan Display',
						'Sail'=>'Sail',
						'Salsa'=>'Salsa',
						'Sancreek'=>'Sancreek',
						'SansitaOne'=>'Sansita One',
						'Sarina'=>'Sarina',
						'Shojumaru'=>'Shojumaru',
						'SirinStencil'=>'Sirin Stencil',
						'Slackey'=>'Slackey',
						'Smokum'=>'Smokum',
						'Smythe'=>'Smythe',
						'Sniglet'=>'Sniglet',
						'SonsieOne'=>'Sonsie One',
						'SpecialElite'=>'Special Elite',
						'SpicyRice'=>'Spicy Rice',
						'Spirax'=>'Spirax',
						'SquadaOne'=>'Squada One',
						'StardosStencil'=>'Stardos Stencil',
						'StintUltraCondensed'=>'Stint Ultra Condensed',
						'SupermercadoOne'=>'Supermercado One',
						'TitanOne'=>'Titan One',
						'TradeWinds'=>'Trade Winds',
						'Trochut'=>'Trochut',
						'TulpenOne'=>'Tulpen One',
						'UncialAntiqua'=>'Uncial Antiqua',
						'UnifrakturCook'=>'UnifrakturCook',
						'UnifrakturMaguntia'=>'UnifrakturMaguntia',
						'Unkempt'=>'Unkempt',
						'Unlock'=>'Unlock',
						'VT323'=>'VT323',
						'VastShadow'=>'Vast Shadow',
						'Wallpoet'=>'Wallpoet',
						'Wellfleet'=>'Wellfleet',
						'YesevaOne'=>'Yeseva One'

										),
					'fontoptions' => array('0' => 'ZENFONTOPTION1','1' => 'ZENFONTOPTION2','2' => 'ZENFONTOPTION3','3' => 'ZENFONTOPTION4'),
					'attselector' => array('color' => 'Color','border-color' => 'Border-color','background-color' => 'Background Color'));
		
			$options = array ();
		
			switch ($display){
				case "fontoptions":
					foreach ($values['fontoptions'] as $val => $text)
					{
						$options[] = JHTML::_('select.option', $val, JText::_($text));
					}
					break;
				case "fonts":
					foreach ($values['fonts'] as $val => $text)
					{
						$options[] = JHTML::_('select.option', $val, JText::_($text));
					}
					break;
				case "gridcount":
					foreach ($values['gridcount'] as $val => $text)
					{
						$options[] = JHTML::_('select.option', $val, JText::_($text));
					}
					break;
				case "attselector":
					foreach ($values['attselector'] as $val => $text)
					{
						$options[] = JHTML::_('select.option', $val, JText::_($text));
					}

					break;
				case "listcss":
				
					// Get the path in which to search for file options.
					$path =  JPATH_ROOT.DS.'templates'.DS.Zengrid::getTemplate().DS.'css'.DS;
					if (!is_dir($path)) {
						$path = JPATH_ROOT.'/'.$path;

					}
					$filter			= (string) $this->element['filter'];
					$exclude		= (string) $this->element['exclude'];
					$stripExt		= (string) $this->element['stripext'];
					$hideNone		= (string) $this->element['hide_none'];
					$hideDefault	= (string) $this->element['hide_default'];

					if (is_dir($path)) $files = JFolder::files($path, $filter); 
					else $files = false;
				
					$options[] = JHTML::_('select.option', '', '- '.JText::_('No hilite').' -');
					if ( is_array($files) )
					{
						foreach ($files as $file)
						{
							if ($exclude)
							{
								if (preg_match( chr( 1 ) . $exclude . chr( 1 ), $file ))
								{
									continue;
								}
							}
							if ($stripExt)
							{
								$file = JFile::stripExt( $file );
							}
							$options[] = JHTML::_('select.option', $file, $file);
						}
				
					}
					else 
					{
						return 'This theme does not have any hilites currently. You can add some by putting custom css files inside of /templates/'.Zengrid::getTemplate().'/css/hilites';
					}
					break;
					case "folderlist":
					
						// path to images directory
						$path		= JPATH_ROOT.DS.str_replace('[template]', Zengrid::getTemplate(), $node->attributes('directory'));
					
						$filter		= (string) $this->element['filter'];
						$exclude	= (string) $this->element['exclude'];
						$folders	= JFolder::folders($path, $filter);

						foreach ($folders as $folder)
						{
							if ($exclude)
							{
								if (preg_match( chr( 1 ) . $exclude . chr( 1 ), $folder )) {
									continue;
								}
							}
							$options[] = JHTML::_('select.option', $folder, $folder);
						}

						if (!$node->attributes('hide_none')) {
							array_unshift($options, JHTML::_('select.option', '-1', '- '.JText::_('Do not use').' -'));
						}

						if (!$node->attributes('hide_default')) {
							array_unshift($options, JHTML::_('select.option', '', '- '.JText::_('Use default').' -'));
						}
						break;
						case "filelist":
						
							// path to images directory
							$path		= JPATH_ROOT.DS.str_replace('[template]', Zengrid::getTemplate(), $node->attributes('directory'));
							$filter		= (string) $this->element['filter'];
							$exclude	= (string) $this->element['exclude'];
							$stripExt	= (string) $this->element['stripext'];
							$files		= JFolder::files($path, $filter);

							if (!$node->attributes('hide_none'))
							{
								$options[] = JHTML::_('select.option', '-1', '- '.JText::_('Do not use').' -');
							}

							if (!$node->attributes('hide_default'))
							{
								$options[] = JHTML::_('select.option', '', '- '.JText::_('Use default').' -');
							}

							if ( is_array($files) )
							{
								foreach ($files as $file)
								{
									if ($exclude)
									{
										if (preg_match( chr( 1 ) . $exclude . chr( 1 ), $file ))
										{
											continue;
										}
									}
									if ($stripExt)
									{
										$file = JFile::stripExt( $file );
									}
									$options[] = JHTML::_('select.option', $file, $file);
								}
							}
							return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', $value, $control_name.$name);
							break;
							case "logofile":

								$path		= str_replace('[template]', Zengrid::getTemplate(), JPATH_ROOT.Zengrid::getParam('logoLocation').DS);

								$filter		= '\.png$|\.gif$|\.jpg$|\.bmp$|\.ico$';
								$exclude	= (string) $this->element['exclude'];
								$stripExt	= (string) $this->element['stripext'];
								$files		= JFolder::files($path, $filter);

								if ( is_array($files) )
								{
									foreach ($files as $file)
									{
										if ($exclude)
										{
											if (preg_match( chr( 1 ) . $exclude . chr( 1 ), $file ))
											{
												continue;
											}
										}
										if ($stripExt)
										{
											$file = JFile::stripExt( $file );
										}
										$options[] = JHTML::_('select.option', $file, $file);
									}
								}
								return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', $value, $control_name.$name);
								break;
								case "logolocation":

									// path to images directory
									$path		= JPATH_ROOT.DS.'images';
									$filter		= (string) $this->element['filter'];
									$exclude	= (string) $this->element['exclude'];
									$folders	= JFolder::listFolderTree($path, $filter);

									$options = array ();
									$options[] = JHTML::_('select.option', '/templates/'.Zengrid::getTemplate().'/images/logo', '/templates/'.Zengrid::getTemplate().'/images/logo');
									foreach ($folders as $folder)
									{
										if ($exclude)
										{
											if (preg_match( chr( 1 ) . $exclude . chr( 1 ), $folder['relname'] )) {
												continue;
											}
										}
										$relname = str_replace('\\', '/', $folder['relname']);
										$options[] = JHTML::_('select.option', $relname, $relname);
									}

									return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', str_replace('[template]', Zengrid::getTemplate(), $value), $control_name.$name);
									break;
				default:
					return;
					break;
			}
		

				return JHTML::_('select.genericlist',  $options, $this->name, $class, 'value', 'text', $this->value, $this->id);
		}
	}
		function fetchTooltip($label, $description, &$xmlElement, $control_name='', $name='')
		{
			$output = '<label id="'.$control_name.$name.'-lbl" for="'.$control_name.$name.'"';
			if ($description) {
				$output .= ' class="hasTip" title="'.JText::_($label).'::'.JText::_(str_replace('[template]', Zengrid::getTemplate(), $description)).'">';
			} else {
				$output .= '>';
			}
			$output .= JText::_( $label ).'</label>';

			return $output;
		
	}
}
